<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
define('CPO', true);
define('CPOBACKEND', true); 
if (isset($_GET['s']) && $_GET['s']!=3) {define('SETUP', true);}
if (isset($_GET['l'])) { $_POST['language'] = $_GET['l']; }

$navigation = array();
require_once('../_include/common.inc.php');
require(CPO_BASEDIR.'_include/check.php');
?>
<html>
<head>
    <title><?php echo $cpoTitle ?></title>
    <meta http-equiv="pragma" content="no-cache" />
    <meta name="robots" content="noindex" />
    <link rel="stylesheet" type="text/css" href="<?php echo SKIN_URL.'style_cpo.css.php'; ?>" />
</head>
            
<body class="navigation_body">

<?php if (isset($_GET['s'])) { // Setup 
    echo '<ul style="margin-left: 0; padding-left: 25px;">';
    $a = '<li style="margin-top: 0.5em; text-indent: -0.5em; color: #abc; font-weight: bold; list-style: url(%s);">%s</li>';
    if ($_GET['s']==0 || $_GET['s']==-1) $a = '<li style="margin-top: 0.5em; text-indent: -0.5em; font-weight: bold; list-style: url(%s);">%s</li>';
    printf($a, SKIN_URL.'nav_empty.gif', __('Welcome'));

    $a = '<li style="margin-top: 0.5em; text-indent: -0.5em; color: #abc; font-weight: bold; list-style: url(%s);">%s</li>';
    if ($_GET['s']==1 || $_GET['s']==-1) $a = '<li style="margin-top: 0.5em; text-indent: -0.5em; font-weight: bold; list-style: url(%s);">%s</li>';
    printf($a, SKIN_URL.'nav_empty.gif', ___('Step 1'));

    $a = '<li style="margin-top: 0.5em; text-indent: -0.5em; color: #abc; font-weight: bold; list-style: url(%s);">%s</li>';
    if ($_GET['s']==2 || $_GET['s']==-1) $a = '<li style="margin-top: 0.5em; text-indent: -0.5em; font-weight: bold; list-style: url(%s);">%s</li>';
    printf($a, SKIN_URL.'nav_empty.gif', __('Step 2'));

    $a = '<li style="margin-top: 0.5em; text-indent: -0.5em; color: #abc; font-weight: bold; list-style: url(%s);">%s</li>';
    if ($_GET['s']==3 || $_GET['s']==-1) $a = '<li style="margin-top: 0.5em; text-indent: -0.5em; font-weight: bold; list-style: url(%s);">%s</li>';
    printf($a, SKIN_URL.'nav_empty.gif', __('Step 3'));

    printf('<div>');
    printf('<a style="text-indent: -0.5em;" href="'.BASE_REL.'_manual/index.php?ref=setup.html&amp;language=' . urlencode($_GET['l']) . '" target="manual_window" class="help"><li style="margin-top: 2em; list-style: url(%s);">%s</li></a>',
        SKIN_URL.'nav_empty.gif',
        __('Help')
    );
    printf('</div>');
    ?>
    </ul>
    <?php include('../_include/debug.php'); ?>
    </body>
    </html>
    <?php
    return;
}

if (!isset($_GET['switch'])) $_GET['switch'] = '';

doActions($hdlr_navigation);

// print navigation
echo '<ul style="margin-left: 0; padding-left: 25px;">';
foreach ($navigation as $k=>$v) {
    // close first level elements by default
    if (!isset($_SESSION['SID_navigation'][$k])) $_SESSION['SID_navigation'][$level] = false;

    // show or hide 2nd level elements?
    if ($_GET['switch']==$k) {
        $_SESSION['SID_navigation'][$k] = !$_SESSION['SID_navigation'][$k];
    }

    // show first level element with no childs (elements that have a caption)
    if (array_key_exists('caption', $v)) {
        $closeTags = '';
        echo '<li style="margin-top: 0.5em; text-indent: -0.5em; list-style: url('.SKIN_URL.'nav_empty.gif'.');">';

        if (empty($v['url'])) {
            // disabled element
            echo '<span style="color: #abc;">';
            $closeTags .= '</span>';
        } else {
            $target = ' target="cpo_content"';
            if (isset($v['target'])) $target = ' target="'._htmlspecialchars($v['target']).'"';

            echo '<a href="'.$v['url'].'"'.$target.'>';
            $closeTags .= '</a>';
        }

        // show a title?
        if (!empty($v['title'])) {
            echo '<span title="'.___($v['title']).'">';
            $closeTags .= '</span>';
        }

        echo ___($v['caption']);

        // close necessary tags
        echo $closeTags;
        continue;
    }

    // show closed first level element
    if (!$_SESSION['SID_navigation'][$k]) {
        echo '<li style="margin-top: 0.5em; text-indent: -0.5em; list-style: url('.SKIN_URL.'nav_open.gif'.');">';
        echo '<a href="'.$_SERVER['PHP_SELF'].'?switch='.urlencode($k).'">';
        echo ___($k);
        echo '</a>';
        continue;
    }

    // show opened first level element and childs
    echo '<li style="margin-top: 0.5em; text-indent: -0.5em; list-style: url('.SKIN_URL.'nav_close.gif'.');">';
    echo '<a href="'.$_SERVER['PHP_SELF'].'?switch='.urlencode($k).'">';
    echo ___($k);
    echo '</a>';
    print('<ul style="list-style: none; list-style-image: none; margin: 0; padding: 0em; text-indent: -1em;">');
    foreach ($v as $v2) {
        $closeTags = '';

        // show a small spacer before next element
        if (!is_array($v2)) {
            $spaced = true;
            continue;
        }

        if ($spaced) echo '<li style="margin-top: 0.5em;">- ';
        else echo '<li>- ';

        if (empty($v2['url'])) {
            // disabled element
            echo '<span style="color: #abc;">';
            $closeTags .= '</span>';
        } else {
            $target = ' target="cpo_content"';
            if (isset($v2['target'])) $target = ' target="'._htmlspecialchars($v2['target']).'"';

            echo '<a href="'.$v2['url'].'" class="nav"'.$target.'>';
            $closeTags .= '</a>';
        }

        // show a title?
        if (!empty($v2['title'])) {
            echo '<span title="'.___($v2['title']).'">';
            $closeTags .= '</span>';
        }

        echo ___($v2['caption']);

        // close necessary tags
        echo $closeTags;

        echo '</li>';

        $spaced = false;
    }
    $spaced = false;

    print('</ul>');
    echo '</li>';
}

if ($cpoSystem['help']) {
    echo '<li style="margin-top: 1em; text-indent: -0.5em; list-style: url('.SKIN_URL.'nav_empty.gif'.');">';
    echo '<a href="'.BASE_REL.'_manual/index.php?ref=index.html" target="manual_window">';
    echo ___('Help');
    echo '</a>';
}

if (!empty($_SESSION['SID_user']['admin'])) {
    echo '<li style="margin-top: 1em; text-indent: -0.5em; list-style: url('.SKIN_URL.'nav_empty.gif'.');">';
    echo '<a href="'.BASE_REL.'_admin/index.php?action=logout" target="_top">';
    echo ___('Logout');
    echo '</a>';
} // if (!empty($_SESSION['SID_user']['admin'])) {

echo '</ul>';
?>
</body>
</html>
