<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
define('CPO', true);
require_once('../_include/checkaccess.inc.php');

require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

$query = "SELECT login, last_action, ip, ip_name, browser, user, name, email, admin "
        ."FROM ".CPO_LOG_LOGIN.", ".CPO_USER." "
        ."WHERE user_id=".CPO_USER.".id "
        ."ORDER BY user";
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query);
    
printPageHeader(
    __('Users online'),
    __('In this view you can see the list of logged in users.'),
    'login-screen.html#login-screen-title-usersonline'
);

if ($db->num_rows()<=0) {
    $message[] = __('No users found.');
    include(CPO_BASEDIR.'_include/message.php');
    include(CPO_BASEDIR.'_include/footer.php');
    return;
}
include(CPO_BASEDIR.'_include/message.php');
?>
<table class="ruler" style="width: 100%"><thead>
<tr>
    <th><span><?php echo __('Username').help('login-screen.html#login-screen-title-usersonline-username'); ?></span></th>
    <th><span><?php echo __('Name').help('login-screen.html#login-screen-title-usersonline-name'); ?></span></th>
    <th><span><?php echo __('Role').help('login-screen.html#login-screen-title-usersonline-role'); ?></span></th>
    <th><span><?php echo __('Login time').help('login-screen.html#login-screen-title-usersonline-logintime'); ?></span></th>
    <th><span><?php echo __('Idle').help('login-screen.html#login-screen-title-usersonline-idle'); ?></span></th>
    <th><span><?php echo __('Info').help('login-screen.html#login-screen-title-usersonline-info'); ?></span></th>
</tr>
</thead><tbody>

<?php
while($db->next_record()) {
    $user        = $db->v('user');
    $login       = $db->v('login');
    $last_action = $db->v('last_action');
    $ip          = $db->v('ip');
    $ip_name     = $db->v('ip_name');
    $browser     = $db->v('browser');
    $user_name   = $db->v('name');
    $user_email  = $db->v('email');
    $user_level  = $db->v('admin');

    echo '<tr>';

    echo '<td><nobr>'.$user.'</nobr></td>';

    echo '<td>'.$user_name.'&nbsp;';
    if ($user_email!='') {
        printf('<a href="mailto:%1$s"><img src="'.SKIN_URL.'mail.gif" width="15" height="7" alt="%1$s" title="%1$s" ></a><br />',
            $user_email
        );
    }
    echo '</td>';

    echo '<td>';
    $roles = array(0=>__('Member'), 1=>__('Editor'), 2=>__('Chief editor'), 3=>__('Superuser'), 4=>__('Admin'));
    print($roles[$user_level]);
    echo '</td>';

    echo '<td><nobr>'.date($cpoSystem['date_format'], strtotime($login)).'</nobr></td>'; 

    echo '<td><nobr>';
    $zeit = time()-strtotime($last_action);
    $idle_min = floor($zeit/60);
    $idle_sec = $zeit-$idle_min*60;
    $idle_sec = substr('00'.$idle_sec, -2);
    echo $idle_min.'m '.$idle_sec."s";
    echo '</nobr></td>';

    echo '<td><nobr>';
    echo '<img src="'.SKIN_URL.'sym_host.gif" align="absmiddle" width="13" height="13" '
        .'alt="'._htmlspecialchars($ip_name).' ('._htmlspecialchars($ip).')" '
        .'title="'._htmlspecialchars($ip_name).' ('._htmlspecialchars($ip).')">';
    echo '&nbsp;';
    echo '<img src="'.SKIN_URL.'sym_browser.gif" align="absmiddle" width="13" height="13" alt="'._htmlspecialchars($browser).'" title="'._htmlspecialchars($browser).'" >';
    echo '</nobr></td>';

    echo '</tr>';
}
echo '</tbody></table>';

require(CPO_BASEDIR.'_include/footer.php');
?>
