<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
define('CPO', true);
require_once('../_include/common.inc.php');

$notimeout = true;
include(CPO_BASEDIR.'_include/header.php');

printPageHeader(
    __('Reset password'),
    sprintf(___('If you reset a password the account will be updated with a randomly generated password. This new password is sent to the e-mail address of the specified login. If you do not receive the new password by e-mail, please contact your %s.'),
        '<a href="mailto:'._htmlspecialchars($cpoSystem['admin_email']).'">'.$CPO['product'].' '.__('administrator').'</a>'),
    'login-resetpassword.html#login-resetpassword'
);

if (!$cpoSystem['send_pw']) {
    echo ___('You are not allowed to reset passwords in this system!');
    include(CPO_BASEDIR.'_include/footer.php');
    return;
}

switch ($_REQUEST['action']) {
case 'reset':
    if (!$antiCSRF->checkToken()) {
        $message[] = ___('Security check failed. Please try again.');
        logaction('reset password', 'CSRF check failed.');
        break;
    }

    if (empty($_POST['account'])) {
        $message[] = __('Please specify a login.');
        break;
    }

    $message[] = __('If you specified an existing login its password was set to a new random value. The new password was sent by e-mail to the address stored in the user account settings.');

    $query = "SELECT name, email, id FROM ".CPO_USER." "
            ."WHERE (user='".addslashes($_POST['account'])."' "
            //."OR email='".addslashes($_POST['account'])."'"
            .") "
            ."AND admin>'0' "
            .'AND id>=0 '
            ."LIMIT 0,1";
    DEBUG(2, 'Searching for password.<br /><br />'.$query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);
    while ($db->next_record()) {
        $name   = $db->v('name');  // required for the mail
        $email  = $db->v('email'); // required for the mail
        $id     = $db->v('id'); 

        $new_passwd     = substr(md5(time().$email), 0, 5);
        $new_passwd_md5 = md5($new_passwd);

        // the changer field is abused to not override the original password
        // otherwise someone can block an admin login by repeatedly resetting
        // the password
        // TODO rename the changer field to newpassword and remove c_time
        $query = "UPDATE " . CPO_USER . " SET "
                 . "changer = '"  . $new_passwd_md5 . "' "
                 . "WHERE id = '" . $id . "'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db_2 = new DB;
        $db_2->query($query); 
        
        require(CPO_BASEDIR.'_include/email_passwd.php');
        logaction('reset password', $_POST['account']);
        break;
    }


    include(CPO_BASEDIR.'_include/message.php');
    require(CPO_BASEDIR.'_include/footer.php');
    return;
    break;
}

include(CPO_BASEDIR.'_include/message.php');
?>

<form method="post" action="<?php print(_htmlspecialchars($_SERVER['PHP_SELF'])); ?>" name="form">
<?php $antiCSRF->printInput('reset'); ?>
<table class="colored" style="width: 100%"><thead>
    <tr><th colspan="2"><span><?php print(___('Reset password form')); ?></span></th></tr>
</thead><tbody>
    <tr>
        <td class="leftrow"><?php print(___('Username:')); ?></td>
        <td class="rightrow">
            <input type="text" name="account" >
            <?php print(help('login-resetpassword.html#login-resetpassword-username')); ?>
        </td>
    </tr><tr>
        <td>&nbsp;</td>
        <td> 
            <input type="submit" class="button" value="<?php print(___('Reset password')); ?>">
        </td>
    </tr>
</tbody></table>
</form>
<script type="text/javascript">document.form.account.focus();</script>

<?php
require(CPO_BASEDIR.'_include/footer.php');