<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

$zugang = 0;

require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

if (isset($_POST['go'])) { // FIXME switch to MVC
    // fetch $_POST values into the global space and overwrite the settings 
    // loaded in _include/common.inc.php
    $cpoSystem = array();
    foreach ($cpoSystemDefaults as $k=>$v) {
        // if the default value is of type bool, cast them :)
        if (is_bool($cpoSystemDefaults[$k])) {
            $cpoSystem[$k] = (bool) $_POST['cpoSystemNew'][$k];
        }
        else $cpoSystem[$k] = $_POST['cpoSystemNew'][$k];
    }

    // targets can be divided using blanks, '.', ';' or ','
    // store them with blanks as divider
    $cpoSystem['targets'] = preg_replace('/(\.|;|,|\s)+/', ' ', $cpoSystem['targets']);

    $c_datum = date ('Y-m-d H:i:s');
    $query = sprintf(
             'REPLACE INTO '.CPO_OPTION.' (type, options, id) '
            ."VALUES ('system', '%s', '1')", // FIXME really use id 1 here?
            addslashes(serialize($cpoSystem))
    );
    $db = new DB;
    $db->query($query); 

    // update database if no release is necessary
    if (!$cpoSystem['released']) {
        $db = new DB;
        $query = 'UPDATE '.CPO_NEWS.' '
                .'SET freigabe = '.STATE_RELEASED.' '
                .'WHERE freigabe='.STATE_WAITING;
        $db->query($query); 

        $query = 'UPDATE '.CPO_NEWS.' '
                .'SET freigabe = '.STATE_BLOCKED.' '
                .'WHERE freigabe='.STATE_REJECTED.' ';
        $db->query($query); 
    }

    logaction('edit system settings', '');

    $message[] = ___('System settings were updated!');
}

printPageHeader(
    __('Edit system settings'),
    __('In this view you can edit the license and system settings.'),
    'system-systemsettings.html#system-systemsettings'
);
include(CPO_BASEDIR.'_include/message.php');
?>

    <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
    <input type="hidden" name="go" value="1">
    <input type="hidden" name="cpoSystemNew[installed]" value="<?php echo _htmlspecialchars($cpoSystem['installed']); ?>" />
    <table class="colored" style="width: 100%"><thead>
        <tr>
            <th colspan="2"><span><?php echo ___('License'); ?></span></th>
        </tr>
    </thead><tbody>
        <tr>
            <td class="leftrow"><?php echo ___('License type:'); ?></div></td>
            <td class="rightrow">
                <?php
                switch (license($cpoSystem['lkey'])) {
                case 1:
                    echo ___('commercial license');
                    break;
                case 2:
                    echo ___('non commercial license');
                    break;
                case 3: 
                    echo ___('test license');
                    break;
                case 4:
                    echo ___('expired test license');
                    break;
                case 5:
                    echo ___('school license');
                    break;
                case false:
                    echo ___('unregistered version');
                    break;
                default:
                    echo ___('unknown license type');
                }
                ?>
            </td>
        </tr><tr>
            <td class="leftrow"><?php echo ___('Licensee:'); ?></td>
            <td class="rightrow">
                <input type="text" class="text inputwidth" name="cpoSystemNew[owner]" value="<?php print(_htmlspecialchars($cpoSystem['owner'])); ?>" size="35" maxlength="255">
                <?php echo help('system-systemsettings.html#system-systemsettings-license-licensee'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('License key:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[lkey]" value="<?php print(_htmlspecialchars($cpoSystem['lkey'])); ?>" size="35" maxlength="255">
                <?php echo help('system-systemsettings.html#system-systemsettings-license-licensekey'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Used product version:'); ?></td>
            <td>
                <?php print(_htmlspecialchars($CPO['version'])); ?>
                <?php echo help('system-systemsettings.html#system-systemsettings-license-productversion'); ?>
            </td>
        </tr><tr>
            <td>&nbsp;</td>
            <td>
                <input type="submit" class="button" name="lizence" value="<?php echo ___('save'); ?>">
            </td>
        </tr>
    </tbody></table>

    <table class="colored" style="width: 100%;"><thead>
        <tr>
            <th colspan="2"><span><?php print(___('Project')); ?></span></th>
        </tr>
    </thead><tbody>
        <tr>
            <td class="leftrow"><?php echo ___('Name of project:'); ?></td>
            <td class="rightrow">
                <input type="text" class="text inputwidth" name="cpoSystemNew[project]" value="<?php print(_htmlspecialchars($cpoSystem['project'])); ?>" size="35" maxlength="255">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-projectname'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Release:'); ?></td>
            <td>
                <select name="cpoSystemNew[release]" size="1">
                    <option value="1" <?php if ($cpoSystem['release']) echo "selected"; ?>><?php echo ___('release necessary'); ?></option>
                    <option value="0" <?php if (!$cpoSystem['release']) echo "selected"; ?>><?php echo ___('NO release necessary'); ?></option>
                </select>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-release'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Sender of system e-mail:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[system_email]" value="<?php print(_htmlspecialchars($cpoSystem['system_email'])); ?>" size="35" maxlength="255">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-systemmail'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Sender of administrative e-mails:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[admin_email]" value="<?php print(_htmlspecialchars($cpoSystem['admin_email'])); ?>" size="35" maxlength="255">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-adminmail'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Timeout:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[timeout]" value="<?php print(_htmlspecialchars($cpoSystem['timeout'])); ?>" size="20" maxlength="5">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-timeout'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Max. size of images:'); ?></td>
            <td>
                <input type="text" class="text" name="cpoSystemNew[max_image]" value="<?php print(_htmlspecialchars($cpoSystem['max_image'])); ?>" size="20" maxlength="20"><?php 
                printf(' '.___('Bytes (max. size allowed by server: %sbyte)'), ini_get('upload_max_filesize')); ?>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-maxsizeimages'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Max. size of files:'); ?></td>
            <td>
                <input type="text" class="text" name="cpoSystemNew[max_file]" value="<?php print(_htmlspecialchars($cpoSystem['max_file'])); ?>" size="20" maxlength="20"><?php 
                printf(' '.___('Bytes (max. size allowed by server: %sbyte)'), ini_get('upload_max_filesize')); ?>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-maxsizefiles'); ?>
            </td>
        </tr><tr>
            <td><?php print(___('Language:')); ?></td>
            <td>
                <select name="cpoSystemNew[language]" size="1">
                    <?php
                    $d = $translator->findTranslations();

                    foreach ($d as $v) {
                        echo '<option value="'.$v.'"';
                        if ($cpoSystem['language']==$v) echo " selected";
                        echo ">"._htmlspecialchars($v)."</option>\n";
                    }
                    ?>
                </select>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-systemlanguage'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Base URL:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[base_url]" value="<?php print(_htmlspecialchars($cpoSystem['base_url'])); ?>" size="35" maxlength="255">
                <?php
                echo '<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.___('Note').'" title="'.___('Note').'"> ';
                echo sprintf(___('In case of an empty field or \'auto\' %s will use: '), _htmlspecialchars($CPO['product'])).'<em>'._htmlspecialchars($auto_base_url).'</em><br />';
                echo ___('Please make sure that this value is correct before using the autodetected value!');

                echo help('system-systemsettings.html#system-systemsettings-project-baseurl'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Send passwords:'); ?></td>
            <td>
                <input class="checkbox" type="checkbox" name="cpoSystemNew[send_pw]" id="send_pw" value="1" <?php if ($cpoSystem['send_pw']) echo "checked"; ?>><label for="send_pw"> <?php print(___('enable')); ?></label>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-passwordbymail'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Online help:'); ?></td>
            <td>
                <input class="checkbox" type="checkbox" id="help" name="cpoSystemNew[help]" id="help" value="1" <?php if ($cpoSystem['help']) echo "checked"; ?>><label for="help"> <?php print(__('enable')); ?></label>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-onlinemanual'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('IP check:'); ?></td>
            <td>
                <input class="checkbox" type="checkbox" name="cpoSystemNew[ipcheck]" id="ipcheck" value="1" <?php if ($cpoSystem['ipcheck']) echo "checked"; ?>><label for="ipcheck"> <?php print(___('enable')); ?></label>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-ipcheck'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Store session in database:'); ?></td>
            <td>
                <input class="checkbox" type="checkbox" name="cpoSystemNew[sessionsInDB]" id="sessionsInDB" value="1" <?php if ($cpoSystem['sessionsInDB']) echo "checked"; ?>><label for="sessionsInDB"> <?php print(___('enable')); ?></label>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-sessionsindb'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Page statistics:'); ?></td>
            <td>
                <input class="checkbox" type="checkbox" name="cpoSystemNew[statistics]" id="statistics" value="1" <?php if ($cpoSystem['statistics']) echo "checked"; ?>><label for="statistics"> <?php print(___('enable')); ?></label>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-accesscounter'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Use PATH_INFO:'); ?></td>
            <td>
                <input class="checkbox" type="checkbox" name="cpoSystemNew[PATH_INFO]" id="PATH_INFO" value="1" <?php if ($cpoSystem['PATH_INFO']) echo "checked"; ?>><label for="PATH_INFO"> <?php print(___('enable')); ?></label>
                <?php echo help('system-systemsettings.html#system-systemsettings-project-seolinks'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Frame targets:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[targets]" value="<?php print(_htmlspecialchars($cpoSystem['targets'])); ?>" size="35" maxlength="255">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-targetframes'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('No. of files/images in list view:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[noOfFiles]" value="<?php print(_htmlspecialchars($cpoSystem['noOfFiles'])); ?>" size="20" maxlength="5">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-nooffiles'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('No. of articles in list view:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[noOfArticles]" value="<?php print(_htmlspecialchars($cpoSystem['noOfArticles'])); ?>" size="20" maxlength="5">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-noofarticles'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('No. of uploads:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[noOfUploadFiles]" value="<?php print(_htmlspecialchars($cpoSystem['noOfUploadFiles'])); ?>" size="20" maxlength="5">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-noofuploads'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('System homepage:'); ?></td>
            <td>
                <select name="cpoSystemNew[homepage]" size="1">
                <?php
// FIXME NEW NAVI
                printf('<option value="%s" %s>%s</option>',
                    _htmlspecialchars('_admin/index.php'),
                    '_admin/index.php' == $cpoSystem['homepage'] ? 'selected' : '',
                    ___('Backend login')
                );

                $query = 'SELECT name, directory  '
                        .'FROM '.CPO_RUBRIC.' '
                        .'ORDER BY name';
                $db = new DB;
                $db->query($query);

                while($db->next_record()) {
                    $url = $db->v('directory').'/index.php';
                    if (strtolower($db->v('directory'))!=strtolower($db->v('name'))) {
                        $url .= ('?rubric='.urlencode($db->v('name')));
                    }
                    printf('<option value="%s" %s>%s</option>',
                        _htmlspecialchars($url),
                        $url == $cpoSystem['homepage'] ? 'selected' : '',
                        $db->v('name')
                    );
                }
                print('</select>');
                echo help('system-systemsettings.html#system-systemsettings-project-systemstartpage'); 
                ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Date format:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[date_format]" value="<?php print(_htmlspecialchars($cpoSystem['date_format'])); ?>" size="36" maxlength="36">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-dateformat'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Editor <body>-ID:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[bodyId]" value="<?php print(_htmlspecialchars($cpoSystem['bodyId'])); ?>" />
                <?php echo help(''); // TODO Add help for body ID?>
            </td>
        </tr><tr>
            <td><?php echo ___('CSS File (absolute URL):'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[CSSURL]" value="<?php print(_htmlspecialchars($cpoSystem['CSSURL'])); ?>" />
                <?php echo help('system-systemsettings.html#system-systemsettings-project-cssfile'); ?>
            </td>
        </tr><tr class="same">
            <td><?php echo ___('allowed CSS in the editor:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[editorCSS]" value="<?php print(_htmlspecialchars($cpoSystem['editorCSS'])); ?>" />
                <?php echo help('system-systemsettings.html#system-systemsettings-project-allowedcss'); ?>
            </td>
        </tr><tr>
            <td><?php echo ___('Purge logfile:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoSystemNew[logfiledays]" value="<?php print(_htmlspecialchars($cpoSystem['logfiledays'])); ?>" size="36" maxlength="36">
                <?php echo help('system-systemsettings.html#system-systemsettings-project-deletelogfile'); ?>
                <?php echo '<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.___('Note').'" title="'.___('Note').'"> '.___('Logfile entries older than this number of days are automatically deleted. Use 0 to disable this feature.'); ?>
            </td>
        </tr><tr>
            <td>&nbsp;</td>
            <td>
                <input type="submit" class="button" value="<?php echo ___('save'); ?>">
            </td>
        </tr>
    </tbody>
    </table>

    <table class="colored" style="width: 100%;"><thead>
        <tr>
            <th colspan="2"><span><?php print(___('Workarounds')); ?></span></th>
        </tr>
    </thead><tbody>
        <tr>
            <td class="leftrow"><?php echo ___('"LOCK TABLES":'); ?></td>
            <td class="rightrow">
                <?php 
                echo '<input class="checkbox" type="checkbox" id="nolocktables" name="cpoSystemNew[nolocktables]" value="1" '.($cpoSystem['nolocktables'] ? 'checked' : '').'> <label for="nolocktables">'.___('disable').'</label>'.help('system-systemsettings.html#system-systemsettings-workarounds'); 
                echo '<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.___('Note').'" title="'.___('Note').'"> ';
                echo ___('Some providers don\'t allow the use of "LOCK TABLES" in their MySQL setup. If you experience database errors regarding this problem, you can disable the use of "LOCK TABLES" here. Please make sure that people don\'t edit e.g. the navigation structure simultaneously in this case.');
                ?>
            </td>
        </tr><tr>
            <td>&nbsp;</td>
            <td>
                <input type="submit" class="button" value="<?php echo ___('save'); ?>">
            </td>
        </tr>
    </tbody></table>
    </form>
<?php
require(CPO_BASEDIR.'_include/footer.php');