<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

// FIXME do this more portable, e.g. store all "stufe*" in an array -- Balu

// no need to check if the user is not logged in
if (!isset($_SESSION['SID_log_login_id'])) return;

// set some default access level
if (!isset($zugang)) $zugang = 0;

$_SESSION['SID_stufe1'] = 0;
$_SESSION['SID_stufe2'] = 0;
$_SESSION['SID_stufe3'] = 0;
$_SESSION['SID_stufe4'] = 0;

// check if the user is allowed to do actions of level $zugang
if (isset($_SESSION['SID_rubric_id']) && $_SESSION['SID_rubric_id']!='' &&
    isset($_SESSION['SID_user']['id']) && $_SESSION['SID_user']['id']!='') {

    $query = "SELECT stufe1, stufe2, stufe3, stufe4 FROM ".CPO_PERMISSION." "
            ."WHERE rubric_id='".$_SESSION['SID_rubric_id']."' "
            ."AND user_id='".$_SESSION['SID_user']['id']."'";
    DEBUG(4, 'Fetch the action the user is allowed to do in this rubric.<br /><br />'.$query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ($db->num_rows()>0 && !empty($_SESSION['SID_log_login_id'])) { 
        $db->next_record();
        $_SESSION['SID_stufe1'] = $db->v('stufe1'); 
        $_SESSION['SID_stufe2'] = $db->v('stufe2'); 
        $_SESSION['SID_stufe3'] = $db->v('stufe3'); 
        $_SESSION['SID_stufe4'] = $db->v('stufe4'); 
    } 
}

// check if IP of connecting user is the same as before
$IP_Check = true;
if ($cpoSystem['ipcheck']) {
    $hostaddr = gethostbyname($_SERVER['REMOTE_ADDR']);
    if ($_SESSION['SID_IP']!=$hostaddr) {
        $IP_Check = false;
        logaction('IP check failed', $_SESSION['SID_IP'].'!='.$hostaddr);
    }
} 

// allow access if the access level and the IP are ok
if ($IP_Check && !empty($_SESSION['SID_log_login_id']) && ( 
        ( $zugang == 0 ) ||                                 // default is to allow
        ( $zugang == 1 && $_SESSION['SID_stufe1'] == 1 ) || // check for 
        ( $zugang == 2 && $_SESSION['SID_stufe2'] == 1 ) || // check for 
        ( $zugang == 3 && $_SESSION['SID_stufe3'] == 1 ) || // check for 
        ( $zugang == 4 && $_SESSION['SID_stufe4'] == 1 )    // check for 
    ) 
) return;

// if no rubric was chosen also return...
if ($IP_Check && $_SESSION['SID_rubric_id']=='') return;

// the user is not allowed to view this
logaction('unallowed access', $_SERVER['PHP_SELF']);

// FIXME log the user out? Perhaps better show a "forbidden" page? 
//       also better to avoid nested frames -- Balu
Header('Location: '.BASE_ABS.'_admin/index.php?action=logout&'.SID);
exit;
?>
