<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id: index.php 7 2005-07-31 13:07:39Z balu $ */
define('CPO', true);
if (!empty($_GET['s'])) define('SETUP', true);
require_once('../_include/common.inc.php');

if (!isset($_GET['show'])) $_GET['show'] = 'cpo';

$toc = '';
switch (true) { // $_GET['show']) {
case substr($_GET['show'], 0, 7)=='modules':
    $toc .= '<div class="toc">';
    $toc .= '<p><b>';
    $toc .= '<a href="'._htmlspecialchars($_SERVER['PHP_SELF']).'?show=cpo">'._htmlspecialchars($CPO['product']).'</a> | ';
    $toc .= ___('Modules');
    $toc .= '</b></p>';

    if (!is_array($GLOBALS['modules'])) {
        $GLOBALS['modules'] = array();
        $toc .= ___('No modules installed.');
    }
    foreach ($GLOBALS['modules'] as $k=>$v) {
        if (!isset($v['helptoc'])) continue;
        $toc .= '<a name="'._htmlspecialchars($k).'"></a>';
        $toc .= '<dl><dt>';
        $toc .= '<strong>'._htmlspecialchars(isset($v['caption']) ? $v['caption'] : $k).'</strong>';
        $toc .= '</dt>';
        $toc .= printManualTOC($v['helptoc']);
        $toc .= '</dl>';
    }
    $toc .= '</div>';
    break;
case substr($_GET['show'], 0, 3)=='cpo':
default:
    $language = 'english';
    if (is_dir(CPO_BASEDIR . '/_manual/' . $cpoSystem['language'])) $language = $cpoSystem['language'];
    if (!empty($_SESSION['SID_user']['language']) && is_dir(CPO_BASEDIR . '/_manual/' . $_SESSION['SID_user']['language'])) $language = $_SESSION['SID_user']['language'];
    if (!empty($_GET['language']) && is_dir(CPO_BASEDIR . '/_manual/' . $_GET['language'])) $language = $_GET['language'];
    $toc = implode('', file ($language . '/index.html')); // simulate file_get_contents().

    $toc = preg_replace('%.*<div class="toc">(.*)<div class="navfooter">.*%ms', '<div class="toc">\1', $toc);
    $toc = str_replace('href="', 'target="manual_content" href="' . $language . '/', $toc);
    if (defined('SETUP')) {
        $toc = str_replace(array('Inhaltsverzeichnis', 'Table of Contents'), 'ConPresso', $toc);
    } else {
        $toc = str_replace('Inhaltsverzeichnis', 'ConPresso | <a href="?show=modules">Module</a>', $toc);
        $toc = str_replace('Table of Contents', 'ConPresso | <a href="?show=modules">Modules</a>', $toc);
    }
}
?>
<html>
<head>
    <title> </title>
    <meta name="robots" content="noindex, nofollow" />
    <link rel="stylesheet" href="cpo-manual.css" type="text/css">
</head>
<body id="manual_navigation">
    <?php echo $toc; ?>
</body>
</html>
