<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
|          based on work by Markus Roesel                                |
+------------------------------------------------------------------------+
  $Id: loadfooters.php,v 1.3 2005/02/13 17:37:20 balu Exp $ */
if (!defined('CPO')) exit;
?>

<script type="text/javascript"><!--
function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+350+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-350+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 
//--> </script>

<?php
printPageHeader(
    __('Edit module settings'),
    sprintf(__('In this view you can edit the settings of the search module <i>%s</i>.'),$directory),
    'modules-modsearch.html#modules-modsearch-setup' 
);

include_once(CPO_BASEDIR.$directory.'/includes/actions.inc.php');
include(CPO_BASEDIR.'_include/message.php');

echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
echo '<input type="hidden" name="go" value="1">';
echo '<input type="hidden" name="list" value="options">';

echo '<table class="colored" style="width: 100%;">';
echo '<thead><tr>';
echo '<th colspan="2"><span>'.__('Frontend settings').help('modules-modsearch.html#modules-modsearch-setup-settings').'</span></th>';
echo '</tr></thead><tbody>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Rubric limitation:');
echo '</td>';
echo '<td class="rightrow">';
echo '<select name="cpoSearchNew[rubricsUse]">';
$sel_off = ($activeModules[$directory]['rubricsUse'] == 'off') ? ' selected="selected"' :'';
$sel_in  = ($activeModules[$directory]['rubricsUse'] == 'IN') ? ' selected="selected"' :'';
$sel_out = ($activeModules[$directory]['rubricsUse'] == 'NOT IN') ? ' selected="selected"' :'';
echo '<option value="off"'.$sel_off.'>'.__('off').'</option>';
echo '<option value="IN"'.$sel_in.'>'.__('include').'</option>';
echo '<option value="NOT IN"'.$sel_out.'>'.__('exclude').'</option>';
echo '</select>';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-rubricsrestriction');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Rubrics:');
echo '</td>';
echo '<td class="rightrow">';
echo '<select name="cpoSearchNew[rubrics][]" size="10" multiple="multiple">';
$db->query('SELECT id, name, seclevel FROM '.CPO_RUBRIC.' ORDER BY name');
while ($db->next_record()) {
    $sel = (@in_array($db->v('id'),$activeModules[$directory]['rubrics'])) ? ' selected="selected"' :'';
    echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
}
echo '</select>';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-rubricslist');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Search options:');
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="hidden" name="cpoSearchNew[opt][alibi]" value="1" />';
$check_searchContent  = ($activeModules[$directory]['opt']['searchContent']) ? ' checked="checked"' : '';
$check_searchTitles   = ($activeModules[$directory]['opt']['searchTitles']) ? ' checked="checked"' : '';
$check_searchKeywords = ($activeModules[$directory]['opt']['searchKeywords']) ? ' checked="checked"' : '';
$check_searchAuthors  = ($activeModules[$directory]['opt']['searchAuthors']) ? ' checked="checked"' : '';
echo '<input type="checkbox" class="checkbox" name="cpoSearchNew[opt][searchTitles]" id="searchTitles" value="1"'.$check_searchTitles.' /> ';
echo '<label for="searchTitles">'.__('search in titles').'</label>';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-options');
echo '<br />';
echo '<input type="checkbox" class="checkbox" name="cpoSearchNew[opt][searchContent]" id="searchContent" value="1"'.$check_searchContent.' /> ';
echo '<label for="searchContent">'.__('search in content').'</label>';
echo '<br />';
echo '<input type="checkbox" class="checkbox" name="cpoSearchNew[opt][searchKeywords]" id="searchKeywords" value="1"'.$check_searchKeywords.' /> ';
echo '<label for="searchKeywords">'.__('search in keywords').'</label>';
echo '<br />';
echo '<input type="checkbox" class="checkbox" name="cpoSearchNew[opt][searchAuthors]" id="searchAuthors" value="1"'.$check_searchAuthors.' /> ';
echo '<label for="searchAuthors">'.__('search in authors').'</label>';
echo '<br />';
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Number of results per page:');
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="text" class="text inputwidth" name="cpoSearchNew[noOfResults]" value="'.$activeModules[$directory]['noOfResults'].'" />';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-results');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('String length:');
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="text" class="text inputwidth" name="cpoSearchNew[stringLength]" value="'.$activeModules[$directory]['stringLength'].'" />';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-summary');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Date format:');
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="text" class="text inputwidth" name="cpoSearchNew[dateFormat]" value="'.$activeModules[$directory]['dateFormat'].'" />';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-dateformat');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Page-Template:');
echo '</td>';
echo '<td class="rightrow">';
echo '<select name="cpoSearchNew[pagetemplate]">';

$query = 'SELECT id, name FROM ' . CPO_PAGETEMPLATES . ' ' .
         'ORDER BY name';
                $db->query($query);
                $_pagetemplates = array();
                while ($db->next_record()) {
                    $_pagetemplates[$db->v('id')] = $db->v('name');
                }

                echo '<option value="0"'
                    .($_POST['cpoSearchNew']['pagetemplate']==0 ? ' selected' : '')
                    .'>'.___('Use header and footer files').'</option>';
                foreach ($_pagetemplates as $k=>$v) {
                    echo '<option value="'._htmlspecialchars($k).'"'
                        .($activeModules[$directory]['pagetemplate']==$k ? ' selected' : '')
                        .'>'._htmlspecialchars($v).'</option>';
                }
                echo '</select>';

echo '</select>';
echo help('');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Article-template:');
echo '</td>';
echo '<td class="rightrow">';
echo '<textarea style="width: 95%; height: 100px;" class="text inputwidth" name="cpoSearchNew[template]" id="template">'._htmlspecialchars($activeModules[$directory]['template']).'</textarea>';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-template');
echo '<br /><a href="#" onClick="textarea(\'template\', this);return false" id="lnk">'.__('enlarge').'</a>';
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Highlight CSS:');
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="text" class="text inputwidth" name="cpoSearchNew[highlightCSS]" value="'._htmlspecialchars($activeModules[$directory]['highlightCSS']).'" maxlength="255" />';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-highlighting');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Message \'no search phrase\':');
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="text" class="text inputwidth" name="cpoSearchNew[noSearchstringText]" value="'._htmlspecialchars($activeModules[$directory]['noSearchstringText']).'" maxlength="255" />';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-nosearchphrase');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Message \'no matches\':');
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="text" class="text inputwidth" name="cpoSearchNew[noMatchesText]" value="'._htmlspecialchars($activeModules[$directory]['noMatchesText']).'" maxlength="255" />';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-noresults');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo __('Message \'matches\':');
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="text" class="text inputwidth" name="cpoSearchNew[matchesText]" value="'._htmlspecialchars($activeModules[$directory]['matchesText']).'" maxlength="255" />';
echo help('modules-modsearch.html#modules-modsearch-setup-settings-resultsmessage');
echo '</td>';
echo '</tr>';

echo '<tr>';
echo '<td class="leftrow">';
echo '&nbsp;';
echo '</td>';
echo '<td class="rightrow">';
echo '<input type="submit" class="button" value="'.__('save').'">';
echo '</td>';
echo '</tr>';
echo '</tbody></table>';

echo '</form>';