<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
|          based on work by Markus Roesel                                |
+------------------------------------------------------------------------+
  $Id: loadfooters.php,v 1.3 2005/02/13 17:37:20 balu Exp $ */
define('CPO', true);
require_once('../_include/checkaccess.inc.php');
$directory = basename(dirname($_SERVER['PHP_SELF']));
$translator->addTranslation('search',CPO_BASEDIR.$directory.'/lang');

// Preparing the Backend-Defaults *********************************************************************
$activeModules[$directory]['noOfResults']        = 10;
$activeModules[$directory]['stringLength']       = 100;
$activeModules[$directory]['dateFormat']         = $cpoSystem['date_format'];
$activeModules[$directory]['highlightCSS']       = 'class="searchhighlight"';
$activeModules[$directory]['noSearchstringText'] = __('Please fill in a search phrase.');
$activeModules[$directory]['noMatchesText']      = __('No contents matching your search phrase.');
$activeModules[$directory]['matchesText']        = __('The search returned %s matches for your search phrase.');
$activeModules[$directory]['rubricsUse']         = 'IN';
$activeModules[$directory]['tableHead']          = '
<table class="ruler" style="width: 100%;">
<thead>
<tr>
<th style="width: 35%;"><span>'.___('Title/Author').help('modules-modsearch.html#modules-modsearch-backend-outtitle').'</span></th>
<th style="width: 5%;"><span>'.___('Rubric').help('modules-modsearch.html#modules-modsearch-backend-outrubric').'</span></th>
<th style="width: 10%;"><span>'.___('Status').help('modules-modsearch.html#modules-modsearch-backend-outstatus').'</span></th>
<th style="width: 15%;"><span>'.___('Publication').help('modules-modsearch.html#modules-modsearch-backend-outpublication').'</span></th>
<th style="width: 35%;"><span>'.___('Place of finding').help('modules-modsearch.html#modules-modsearch-backend-outfound').'</span></th>
</th>
</tr>
</thead>
<tbody>
';
$activeModules[$directory]['tableFoot']          = '</table>';

$close_backend = true;

if ($close_backend && !isset($_REQUEST['rubrics'])) {
    $activeModules[$directory]['rubrics'] = array();
    $db->query('SELECT rubric_id FROM '.CPO_PERMISSION.' '
            .'WHERE stufe1=1 '
            .'AND user_id='.$_SESSION['SID_user']['id']
    );
    while ($db->next_record())  {
        $activeModules[$directory]['rubrics'][] = $db->v('rubric_id');
    }
}
if ($close_backend && isset($_REQUEST['rubrics']) && is_array($_REQUEST['rubrics'])) {
    $activeModules[$directory]['rubrics'] = $_REQUEST['rubrics'];
    foreach ($_REQUEST['rubrics'] AS $qrub) $zusatzurl .= '&amp;rubrics[]='.$qrub;
}


$activeModules[$directory]['template']='
<!-- START_MOD_SEARCH -->
<style>
.searchhighlight { color: red; font-weight: bold; }
</style>
<!-- SEARCH_MESSAGE -->

<form name="suchergebnisse" class="result" method="get" action="search.php" >
<input type="hidden" name="action" value="search" />
<table class="colored" style="width: 100%"><thead>
<tr><th colspan="2"><span>'.___('Search').'</span></th></tr>
</thead><tbody>
<tr>
    <td class="leftrow">'.__('Search phrase:').'</td>
    <td class="rightrow">
        <input type="text" name="q" value="<!-- SEARCH_PHRASE -->" class="text inputwidth" id="q" />'.help('modules-modsearch.html#modules-modsearch-backend-phrase').'
    </td>
</tr><tr>
    <td>'.__('Search options:').'</td>
    <td>
        <input type="checkbox" name="searchFor[searchTitles]" value="1"  id="titles"'.($_REQUEST['searchFor']['searchTitles']==1 || !isset($_REQUEST['searchFor']) ? 'checked="checked"' : '').' />
        <label for="titles">'.__('search in titles').'</label>'.help('modules-modsearch.html#modules-modsearch-backend-options').'<br />

        <input type="checkbox" name="searchFor[searchContent]" value="1" id="content"'.($_REQUEST['searchFor']['searchContent']==1 || !isset($_REQUEST['searchFor']) ? ' checked="checked"' : '').' />
        <label for="content">'.__('search in content').'</label><br />

        <input type="checkbox" name="searchFor[searchKeywords]" value="1"  id="keywords"'.($_REQUEST['searchFor']['searchKeywords']==1 || !isset($_REQUEST['searchFor']) ? 'checked="checked"' : '').' />
        <label for="keywords">'.__('search in keywords').'</label><br />

        <input type="checkbox" name="searchFor[searchAuthors]" value="1"  id="author"'.($_REQUEST['searchFor']['searchAuthors']==1 ? 'checked="checked"' : '').' />
        <label for="author">'.__('search in authors').'</label><br />

        <input type="checkbox" name="searchFor[searchComments]" value="1"  id="comments"'.($_REQUEST['searchFor']['searchComments']==1 ? 'checked="checked"' : '').' />
        <label for="comments">'.__('search in comments').'</label><br />
    </td>
</tr>';
if ($cpoSystem['release']) {
    $activeModules[$directory]['template'].='<tr>
        <td>'.__('Release state:').'</td>
        <td>
            <select name="releaseState">
                <option value="-1"                 '.($_REQUEST['releaseState']=='-1' || !isset($_REQUEST['releaseState']) ? 'selected="selected"' : '').' />'.___('all').'</option>
                <option value="'.STATE_RELEASED.'" '.($_REQUEST['releaseState']==STATE_RELEASED ? 'selected="selected"' : '').' />'.___('released').'</option>
                <option value="'.STATE_WAITING .'" '.($_REQUEST['releaseState']==STATE_WAITING  ? 'selected="selected"' : '').' />'.___('waiting').'</option>
                <option value="'.STATE_BLOCKED .'" '.($_REQUEST['releaseState']==STATE_BLOCKED  ? 'selected="selected"' : '').' />'.___('blocked').'</option>
                <option value="'.STATE_REJECTED.'" '.($_REQUEST['releaseState']==STATE_REJECTED ? 'selected="selected"' : '').' />'.___('rejected').'</option>
            </select>'.help('modules-modsearch.html#modules-modsearch-backend-options-release').'
        </td>
    </tr>';
} else {
    $activeModules[$directory]['template'].='<tr>
        <td>'.__('Release state:').'</td>
        <td>
            <select name="releaseState">
                <option value="-1"                 '.($_REQUEST['releaseState']=='-1' || !isset($_REQUEST['releaseState']) ? 'selected="selected"' : '').' />'.___('all').'</option>
                <option value="'.STATE_RELEASED.'" '.($_REQUEST['releaseState']==STATE_RELEASED ? 'selected="selected"' : '').' />'.___('released').'</option>
                <option value="'.STATE_BLOCKED .'" '.($_REQUEST['releaseState']==STATE_BLOCKED  ? 'selected="selected"' : '').' />'.___('blocked').'</option>
            </select>'.help('modules-modsearch.html#modules-modsearch-backend-options-release').'
        </td>
    </tr>';
}

$activeModules[$directory]['template'].='<tr>
    <td>'.__('Publication:').'</td>
    <td>
        <select name="publicationState">
            <option value="-1" '.($_REQUEST['publicationState']=='-1' || !isset($_REQUEST['releaseState']) ? 'selected="selected"' : '').' />'.___('all').'</option>
            <option value="1"  '.($_REQUEST['publicationState']==1  ? 'selected="selected"' : '').' />'.___('article waiting for publication').'</option>
            <option value="2"  '.($_REQUEST['publicationState']==2  ? 'selected="selected"' : '').' />'.___('article in publication timeframe').'</option>
            <option value="3"  '.($_REQUEST['publicationState']==3  ? 'selected="selected"' : '').' />'.___('article expired').'</option>
        </select>'.help('modules-modsearch.html#modules-modsearch-backend-options-publication').'
    </td>
</tr>';

$activeModules[$directory]['template'].='<tr>
    <td>'.___('Article-template:').'</td>
    <td>
        <select name="template">
            <option value="-1" '.($_REQUEST['template']=='-1' || !isset($_REQUEST['template']) ? 'selected="selected"' : '').' />'.___('all').'</option>';
$db = new DB; 
$db->query('SELECT id, name FROM '.CPO_TEMPLATES.' ORDER BY name');
while ($db->next_record()) {
    $activeModules[$directory]['template'] .= '            <option value="'.$db->v('id').'" '.($_REQUEST['template']==$db->v('id') ? 'selected="selected"' : '').' />'._htmlspecialchars($db->v('name')).'</option>';
}
$activeModules[$directory]['template'] .= '
        </select>'.help('modules-modsearch.html#modules-modsearch-backend-options-template').'
    </td>
</tr>';

$activeModules[$directory]['template'].='<tr>
    <td>'.___('Last changed by:').'</td>
    <td>
        <select name="lastChangedBy">
            <option value="-1" '.($_REQUEST['lastChangedby']=='-1' || !isset($_REQUEST['lastChangedby']) ? 'selected="selected"' : '').' />'.___('all').'</option>';
$db = new DB; 
$db->query('SELECT id, user, name FROM '.CPO_USER.' WHERE id>0 ORDER BY user');
while ($db->next_record()) {
    $activeModules[$directory]['template'] .= '            <option value="'.$db->v('user').'" '.($_REQUEST['lastChangedBy']==$db->v('user') ? 'selected="selected"' : '').' />'.formatUserName($db->v('id'), $db->v('user'), $db->v('name')).'</option>';
}
$activeModules[$directory]['template'] .= '
        </select>'.help('modules-modsearch.html#modules-modsearch-backend-options-lastchanged').'
    </td>
</tr>';


$activeModules[$directory]['template'] .= '<tr>
    <td class="leftrow">'.__('Rubrics:').'</td>
    <td class="rightrow">
        <select name="rubrics[]" size="10" multiple="multiple">';
$db->query('SELECT '.CPO_RUBRIC.'.id, name, seclevel FROM '.CPO_RUBRIC.', '.CPO_PERMISSION.' '
        .'WHERE '.CPO_RUBRIC.'.id=rubric_id '
        .'AND stufe1=1 '
        .'AND user_id='.$_SESSION['SID_user']['id']
);
while ($db->next_record()) {
    $sel = (@in_array($db->v('id'),$activeModules[$directory]['rubrics'])) ? ' selected="selected"' :'';
    $activeModules[$directory]['template'] .= '<option value="'.$db->v('id').'"'.$sel.'>'._htmlspecialchars($db->v('name')).'</option>';
}
$activeModules[$directory]['template'] .= '
        </select>'.help('modules-modsearch.html#modules-modsearch-backend-options-rubrics').'
    </td>
</tr>';


$activeModules[$directory]['template'].='<tr>
    <td> </td>
    <td>
        <input type="submit" value="'.__('search').'" />
    </td>
</tr>
</tbody></table>
</form>
<!-- SEARCH_TABLE_HEAD -->
<!-- START_SEARCH_MATCH -->
    <tr>
        <td><!-- SEARCH_MINI_TITLE --></td>
        <td><a href="<!-- SEARCH_RUBRIC_LINK -->" target="_top"><!-- SEARCH_RUBRIC --></a></td>
        <td><!-- SEARCH_MINI_STATUS --> <!-- SEARCH_STATUS --></td>
        <td><!-- SEARCH_MINI_PUB --></td>
        <td><!-- SEARCH_CONTENT --></td>
    </tr>
    <!-- END_SEARCH_MATCH -->
<!-- SEARCH_TABLE_FOOT -->
<!-- SEARCH_PAGES -->
<br />
<!-- END_MOD_SEARCH -->
';
// End of defaults ***********************************************************************************

// the includes **************************************************************************************
require_once(CPO_BASEDIR.$directory.'/includes/inc_search_function.inc.php');
include_once(CPO_BASEDIR.$directory.'/includes/actions.inc.php');
require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
    __('Search'),
    __('In this view you can search for articles.'),
    'modules-modsearch.html#modules-modsearch-backend' 
);

if (count($activeModules[$directory]['rubrics'])==0) {
    $message[] = ___('Sorry, you have no rights to search any rubric.');
    include(CPO_BASEDIR.'_include/message.php');
    include(CPO_BASEDIR.'_include/footer.php');
    return;
}

//function string_next_page($first, $total, $perpage, $found=false, $zusatz_url='', $targetURL='', $tl=array())
$zusatzurl  = 'q='.urlencode($_REQUEST['q']).$zusatzurl;
$zusatzurl .= '&amp;action=search';
if (!empty($_REQUEST['what'])) $zusatzurl .= '&amp;what='.$_REQUEST['what'];

$pagination = string_next_page($_REQUEST['pos'], count($results), $noOfResults, true, $zusatzurl);
include(CPO_BASEDIR.$directory.'/includes/parser.inc.php');
include(CPO_BASEDIR.'_include/footer.php');
?>
